Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get Trigger's Activation List

Prev Next

Available in Classic and VPC

Get the list of results from running a trigger for a month.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /ncf/api/v2/triggers/{triggerName}/activations
Note

Singapore and Japan Regions are available only in the VPC environment.

Request headers

For information about the headers common to all Cloud Functions APIs, see Cloud Functions request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
triggerName String Required Trigger name

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
platform String Optional Platform type
  • vpc (default) | classic
pageSize Integer Optional Query result page size
  • 20 (default)
pageNo Integer Optional Query result page number
  • 1 (default)
start Integer Optional Timestamp of query start time (millisecond)
  • 1 month prior to the request time (default)
end Integer Optional Timestamp of query end time (millisecond)
  • Request time (default)

Request example

The request example is as follows:

curl --location --request GET 'https://cloudfunctions.apigw.ntruss.com/ncf/api/v2/triggers/trg1-os/activations?platform=vpc' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Sub Account Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' 

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
content Object - Trigger execution result information
content.activations Array - Execution result information: activations
content.totalCount Integer - Execution result count

activations

The following describes activations.

Field Type Required Description
activationId String - Trigger execution result ID
duration Integer - Time taken to execute the trigger (millisecond)
status String - Trigger status

Response status codes

For information about the HTTP status codes common to all Cloud Functions APIs, see Cloud Functions response status codes.

Response example

The response example is as follows:

{
    "content": {
        "activations": [
            {
                "activationId": "e251b49a25094dcd91b49a25093dcdb0",
                "duration": 0,
                "status": "success"
            }
        ],
        "totalCount": 1
    }
}